| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
IP_USB_001_T Struct Reference
IP: USB Device, Host, & OTG register block and driver

## Detailed Description

USB register block structure.

Definition at line 52 of file usb_001.h.

`#include "usb_001.h"`

## Data Fields
__I uint32_t | Revision
__IO uint32_t | Control
__IO uint32_t | CommandStatus
__IO uint32_t | InterruptStatus
__IO uint32_t | InterruptEnable
__IO uint32_t | InterruptDisable
__IO uint32_t | HCCA
__I uint32_t | PeriodCurrentED
__IO uint32_t | ControlHeadED
__IO uint32_t | ControlCurrentED
__IO uint32_t | BulkHeadED
__IO uint32_t | BulkCurrentED
__I uint32_t | DoneHead
__IO uint32_t | FmInterval
__I uint32_t | FmRemaining
__I uint32_t | FmNumber
__IO uint32_t | PeriodicStart
__IO uint32_t | LSTreshold
__IO uint32_t | RhDescriptorA
__IO uint32_t | RhDescriptorB
__IO uint32_t | RhStatus
__IO uint32_t | RhPortStatus1
__IO uint32_t | RhPortStatus2
uint32_t | RESERVED0 [40]
__I uint32_t | Module_ID
__I uint32_t | IntSt
__IO uint32_t | IntEn
__O uint32_t | IntSet
__O uint32_t | IntClr
__IO uint32_t | StCtrl
__IO uint32_t | Tmr
uint32_t | RESERVED1 [58]
__I uint32_t | DevIntSt
__IO uint32_t | DevIntEn
__O uint32_t | DevIntClr
__O uint32_t | DevIntSet
__O uint32_t | CmdCode
__I uint32_t | CmdData
__I uint32_t | RxData
__O uint32_t | TxData
__I uint32_t | RxPLen
__O uint32_t | TxPLen
__IO uint32_t | Ctrl
__O uint32_t | DevIntPri
__I uint32_t | EpIntSt
__IO uint32_t | EpIntEn
__O uint32_t | EpIntClr
__O uint32_t | EpIntSet
__O uint32_t | EpIntPri
__IO uint32_t | ReEp
__O uint32_t | EpInd
__IO uint32_t | MaxPSize
__I uint32_t | DMARSt
__O uint32_t | DMARClr
__O uint32_t | DMARSet
uint32_t | RESERVED2 [9]
__IO uint32_t | UDCAH
__I uint32_t | EpDMASt
__O uint32_t | EpDMAEn
__O uint32_t | EpDMADis
__I uint32_t | DMAIntSt
__IO uint32_t | DMAIntEn
uint32_t | RESERVED3 [2]
__I uint32_t | EoTIntSt
__O uint32_t | EoTIntClr
__O uint32_t | EoTIntSet
__I uint32_t | NDDRIntSt
__O uint32_t | NDDRIntClr
__O uint32_t | NDDRIntSet
__I uint32_t | SysErrIntSt
__O uint32_t | SysErrIntClr
__O uint32_t | SysErrIntSet
uint32_t | RESERVED4 [15]
union {
__I uint32_t I2C_RX
__O uint32_t I2C_TX
}; |
__IO uint32_t | I2C_STS
__IO uint32_t | I2C_CTL
__IO uint32_t | I2C_CLKHI
__O uint32_t | I2C_CLKLO
uint32_t | RESERVED5 [824]
union {
__IO uint32_t USBClkCtrl
__IO uint32_t OTGClkCtrl
}; |
union {
__I uint32_t USBClkSt
__I uint32_t OTGClkSt
}; |

## Field Documentation

union { ... }

union { ... }

union { ... }

__IO uint32_t BulkCurrentED

Definition at line 65 of file usb_001.h.

__IO uint32_t BulkHeadED

Definition at line 64 of file usb_001.h.

__O uint32_t CmdCode

Definition at line 93 of file usb_001.h.

__I uint32_t CmdData

Definition at line 94 of file usb_001.h.

__IO uint32_t CommandStatus

Definition at line 56 of file usb_001.h.

__IO uint32_t Control

Definition at line 55 of file usb_001.h.

__IO uint32_t ControlCurrentED

Definition at line 63 of file usb_001.h.

__IO uint32_t ControlHeadED

Definition at line 62 of file usb_001.h.

__IO uint32_t Ctrl

Definition at line 100 of file usb_001.h.

__O uint32_t DevIntClr

Definition at line 90 of file usb_001.h.

__IO uint32_t DevIntEn

Definition at line 89 of file usb_001.h.

__O uint32_t DevIntPri

Definition at line 101 of file usb_001.h.

__O uint32_t DevIntSet

Definition at line 91 of file usb_001.h.

__I uint32_t DevIntSt

Definition at line 88 of file usb_001.h.

__IO uint32_t DMAIntEn

Definition at line 122 of file usb_001.h.

__I uint32_t DMAIntSt

Definition at line 121 of file usb_001.h.

__O uint32_t DMARClr

Definition at line 114 of file usb_001.h.

__O uint32_t DMARSet

Definition at line 115 of file usb_001.h.

__I uint32_t DMARSt

Definition at line 113 of file usb_001.h.

__I uint32_t DoneHead

Definition at line 66 of file usb_001.h.

__O uint32_t EoTIntClr

Definition at line 125 of file usb_001.h.

__O uint32_t EoTIntSet

Definition at line 126 of file usb_001.h.

__I uint32_t EoTIntSt

Definition at line 124 of file usb_001.h.

__O uint32_t EpDMADis

Definition at line 120 of file usb_001.h.

__O uint32_t EpDMAEn

Definition at line 119 of file usb_001.h.

__I uint32_t EpDMASt

Definition at line 118 of file usb_001.h.

__O uint32_t EpInd

Definition at line 110 of file usb_001.h.

__O uint32_t EpIntClr

Definition at line 105 of file usb_001.h.

__IO uint32_t EpIntEn

Definition at line 104 of file usb_001.h.

__O uint32_t EpIntPri

Definition at line 107 of file usb_001.h.

__O uint32_t EpIntSet

Definition at line 106 of file usb_001.h.

__I uint32_t EpIntSt

Definition at line 103 of file usb_001.h.

__IO uint32_t FmInterval

Definition at line 67 of file usb_001.h.

__I uint32_t FmNumber

Definition at line 69 of file usb_001.h.

__I uint32_t FmRemaining

Definition at line 68 of file usb_001.h.

__IO uint32_t HCCA

Definition at line 60 of file usb_001.h.

__IO uint32_t I2C_CLKHI

Definition at line 141 of file usb_001.h.

__O uint32_t I2C_CLKLO

Definition at line 142 of file usb_001.h.

__IO uint32_t I2C_CTL

Definition at line 140 of file usb_001.h.

__I uint32_t I2C_RX

Definition at line 136 of file usb_001.h.

__IO uint32_t I2C_STS

Definition at line 139 of file usb_001.h.

__O uint32_t I2C_TX

Definition at line 137 of file usb_001.h.

__O uint32_t IntClr

Definition at line 83 of file usb_001.h.

__IO uint32_t IntEn

Definition at line 81 of file usb_001.h.

__IO uint32_t InterruptDisable

Definition at line 59 of file usb_001.h.

__IO uint32_t InterruptEnable

Definition at line 58 of file usb_001.h.

__IO uint32_t InterruptStatus

Definition at line 57 of file usb_001.h.

__O uint32_t IntSet

Definition at line 82 of file usb_001.h.

__I uint32_t IntSt

Definition at line 80 of file usb_001.h.

__IO uint32_t LSTreshold

Definition at line 71 of file usb_001.h.

__IO uint32_t MaxPSize

Definition at line 111 of file usb_001.h.

__I uint32_t Module_ID

Definition at line 78 of file usb_001.h.

__O uint32_t NDDRIntClr

Definition at line 128 of file usb_001.h.

__O uint32_t NDDRIntSet

Definition at line 129 of file usb_001.h.

__I uint32_t NDDRIntSt

Definition at line 127 of file usb_001.h.

__IO uint32_t OTGClkCtrl

Definition at line 147 of file usb_001.h.

__I uint32_t OTGClkSt

Definition at line 151 of file usb_001.h.

__I uint32_t PeriodCurrentED

Definition at line 61 of file usb_001.h.

__IO uint32_t PeriodicStart

Definition at line 70 of file usb_001.h.

__IO uint32_t ReEp

Definition at line 109 of file usb_001.h.

uint32_t RESERVED0[40]

Definition at line 77 of file usb_001.h.

uint32_t RESERVED1[58]

Definition at line 86 of file usb_001.h.

uint32_t RESERVED2[9]

Definition at line 116 of file usb_001.h.

uint32_t RESERVED3[2]

Definition at line 123 of file usb_001.h.

uint32_t RESERVED4[15]

Definition at line 133 of file usb_001.h.

uint32_t RESERVED5[824]

Definition at line 143 of file usb_001.h.

__I uint32_t Revision

Definition at line 54 of file usb_001.h.

__IO uint32_t RhDescriptorA

Definition at line 72 of file usb_001.h.

__IO uint32_t RhDescriptorB

Definition at line 73 of file usb_001.h.

__IO uint32_t RhPortStatus1

Definition at line 75 of file usb_001.h.

__IO uint32_t RhPortStatus2

Definition at line 76 of file usb_001.h.

__IO uint32_t RhStatus

Definition at line 74 of file usb_001.h.

__I uint32_t RxData

Definition at line 96 of file usb_001.h.

__I uint32_t RxPLen

Definition at line 98 of file usb_001.h.

__IO uint32_t StCtrl

Definition at line 84 of file usb_001.h.

__O uint32_t SysErrIntClr

Definition at line 131 of file usb_001.h.

__O uint32_t SysErrIntSet

Definition at line 132 of file usb_001.h.

__I uint32_t SysErrIntSt

Definition at line 130 of file usb_001.h.

__IO uint32_t Tmr

Definition at line 85 of file usb_001.h.

__O uint32_t TxData

Definition at line 97 of file usb_001.h.

__O uint32_t TxPLen

Definition at line 99 of file usb_001.h.

__IO uint32_t UDCAH

Definition at line 117 of file usb_001.h.

__IO uint32_t USBClkCtrl

Definition at line 146 of file usb_001.h.

__I uint32_t USBClkSt

Definition at line 150 of file usb_001.h.

The documentation for this struct was generated from the following file:

- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/lpc_core/lpc_ip/usb_001.h